TKILL(1)

NAME
tkill - Terminate LAM on one node.

SYNOPSIS
tkill [-dhvN] [-f killfile]

OPTIONS

-d  Turn on debugging mode. This implies -v.

-h  Print the command help menu.

-v  Be verbose.

-N  Pretend; do not take action.

-f killfile
    Use killfile as the name of the kill file.

DESCRIPTION
The tkill tool terminates the LAM session started by hboot(1) on the local node. tkill makes use of a kill file created by the LAM kernel, which contains the process identifiers of every LAM process in ASCII format. A SIGHUP (see signal(3)) signal is sent to every process listed in the kill file. tkill waits a short period of time for each process to die. By adding the debug option, the user can see the final disposition of each process. The mission is accomplished if all processes end up dead.

In LAM, the first process to be killed is always the kernel. When the kernel receives its termination signal, it propagates the signal to all of its constituent processes. Therefore, tkill will ordinarily be racing the kernel to kill all other processes. This redundant aspect of tkill allows it to be used as a general purpose tool in association with hboot(1).

FILES

/tmp/lam-$USER@hostname
    the kill file, created by the kernel, where $USER is the userid, and hostname is the name of the local machine

SEE ALSO
hboot(1), lam-helpfile(5)